Public Card Verification & Tokenisation

Use this API to verify customer card details and store the card (payment token) or save it temporarily; The payment token saved could be retrieved using Retrieve Token API

This interface is called by the client application to submit credit card details directly to the Afterpay Mobility Host, removing the need for merchants to store or transmit credit card information. This endpoint is public and could be accessed by the client. This API will allow the payment token to be saved temporarily

Submit the card details and the payment token details can be obtained using Retrieve Token API

The interface provided is an HTTP POST Request and JSON response.

HTTP Request

POST https://<env>/v1/cards/public-verification

Request body

NameTypeMandatoryDescriptionComment
cardHolderNamestringyesThe name as printed on the card.
panstringyesThe primary account number (PAN) or card number of the payment card.14 to 16 digits
expiryMonthinteger(2)yesThe 1 to 2 digit number indicating the month in which the payment card expires.1 to 12
expiryYearinteger(4)yesThe 2 to 4 digit number (prefix with 0) indicating the year in which the payment card expires.2 to 4 digits
cvcstringyesThe Card Verification Code (aka Card Verification Value (CVV) or Card Security Code (CSC)) is a security measure for card not present transactions to reduce fraud.3 digit for MC/Visa, 4 digit for Amex
riskRiskyesInformation to enable risk assessment process.Refer Risk Object
requestorstringyesWho requested the card verificationphone number, employee number etc.

Request headers

ParameterMandatoryDescription
Content-Typeyesapplication/json
Acceptyesapplication/json
AuthorizationyesBearer Access-card-oauth-token (Refer Authentication)
User-AgentyesAll requests must include information about the Merchant, Platform, Channel and Service. For example Merchant/ABC; Platform/Digital; MerchantId/ABC123; Channel/app; CountryCode/AU; System Information/Java/8.3; Service/Activation
Request-Idyesunique identifier for card verification request provided by the merchant
temporary-tokennoBoolean- true/false ; default value:false; if true saves card temporarily for 4 hours and deleted afterwards.

Sample Example

curl -v -X POST https://<env>/v1/cards/verification \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-H "Authorization: Bearer c92b326fff28aba21821349c3ef411e"\
-H "User-Agent: Merchant/ABC; Platform/Digital; MerchantId/ABC123; Channel/sms; CountryCode/AU System Information/Java/8.3; Service/Shop"\
-H "Request-Id: 8456732415666565656565656565656" \
-H "temporary-token: true" \
-d '{
  "cardHolderName": "John Smith",
  "pan": "42**************",
  "expiryMonth": 6,
  "expiryYear": 2020,
  "cvc": "123",
  "risk": {...},
  "requestor": "61402223333"
}'

Response body

NameTypeMandatoryDescriptionComment
idstringyesUniquely identifies each verification. This is generated by the APT and is included in the response
receiptIdstringyesidentifier for card verification and tokenisation

Sample Example

Status: 200 OK
{
  "id": "13e753e2e4a4b2f692b573e5fbe98b7b5523586a",
  "receiptId": "32432"
}
Body Params
string
required

The name as printed on the card.

string
required

The primary account number (PAN) or card number of the payment card.

int32
required

The 1 to 2 digit number indicating the month in which the payment card expires.

int32
required

The 2 to 4 digit number (prefix with 0) indicating the year in which the payment card expires.

string
required

The Card Verification Code (aka Card Verification Value (CVV) or Card Security Code (CSC)) is a security measure for card not present transactions to reduce fraud.

string
required

Information to enable risk assessment process.

string
required

Who requested the card verification - example: customer ID, account-id

Headers
string
required

Bearer

string
required

All requests must include information about the Merchant and Platform. For example Merchant/ABC; Platform/Digital; MerchantId/ABC123; Channel/web; CountryCode/AU; System Information/Java/8.3; Service/Shop

string
required

Unique identifier for card verification request provided by the merchant

boolean
Defaults to false

to store the card temporarily or not; by default 'false' which means the card token will be stored permanently

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json